Bug 885294 - [abrt]: WARNING: at drivers/net/wireless/iwlegacy/4965-mac.c:2693 il4965_hdl_tx+0xd3f/0xd80 [iwl4965]()
Summary: [abrt]: WARNING: at drivers/net/wireless/iwlegacy/4965-mac.c:2693 il4965_hdl_...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7d2251bbd2bda90d2867d651afb...
: 902634 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-08 11:11 UTC by Karolina
Modified: 2013-03-28 17:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-28 17:12:48 UTC
Type: ---


Attachments (Terms of Use)
dmesg file (93.42 KB, text/plain)
2012-12-15 17:49 UTC, Karolina
no flags Details

Description Karolina 2012-12-08 11:11:04 UTC
Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.8-2.fc17.i686 root=/dev/mapper/vg_karolina-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=pl2 SYSFONT=True rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_karolina/lv_root rd.lvm.lv=vg_karolina/lv_swap rhgb quiet
kernel:         3.6.8-2.fc17.i686

backtrace:
:WARNING: at drivers/net/wireless/iwlegacy/4965-mac.c:2693 il4965_hdl_tx+0xd3f/0xd80 [iwl4965]()
:Hardware name: Aspire 5920G    
:Modules linked in: fuse rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter nf_defrag_ipv4 ip6_tables xt_state nf_conntrack binfmt_misc mxl5005s zl10353 btusb uvcvideo dvb_usb_ce6230 dvb_usb dvb_core videobuf2_vmalloc bluetooth videobuf2_memops videobuf2_core snd_hda_codec_realtek rc_core arc4 videodev media coretemp kvm_intel snd_hda_intel iwl4965 snd_hda_codec snd_hwdep iwlegacy mac80211 kvm r592 snd_seq snd_seq_device snd_pcm microcode acer_wmi cfg80211 sparse_keymap iTCO_wdt tg3 rfkill snd_page_alloc snd_timer snd i2c_i801 iTCO_vendor_support memstick lpc_ich soundcore serio_raw uinput usb_storage firewire_ohci sdhci_pci sdhci mmc_core firewire_core crc_itu_t nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 0, comm: swapper/0 Not tainted 3.6.8-2.fc17.i686 #1
:Call Trace:
: [<c043c602>] warn_slowpath_common+0x72/0xa0
: [<f8840e1f>] ? il4965_hdl_tx+0xd3f/0xd80 [iwl4965]
: [<f8840e1f>] ? il4965_hdl_tx+0xd3f/0xd80 [iwl4965]
: [<c043c652>] warn_slowpath_null+0x22/0x30
: [<f8840e1f>] il4965_hdl_tx+0xd3f/0xd80 [iwl4965]
: [<f7efc823>] ? _il_grab_nic_access+0x43/0xa0 [iwlegacy]
: [<f883ee41>] il4965_rx_handle+0x121/0x4a0 [iwl4965]
: [<f883f67b>] il4965_irq_tasklet+0x4bb/0x710 [iwl4965]
: [<c0444a30>] ? local_bh_enable_ip+0x90/0x90
: [<c095c2b0>] ? common_interrupt+0x30/0x38
: [<c0444fa3>] tasklet_action+0x53/0xb0
: [<c0444acf>] __do_softirq+0x9f/0x1b0
: [<c0444a30>] ? local_bh_enable_ip+0x90/0x90
: <IRQ>  [<c0444e3d>] ? irq_exit+0x9d/0xb0
: [<c0404b2b>] ? do_IRQ+0x4b/0xc0
: [<c0409238>] ? sched_clock+0x8/0x10
: [<c095c2b0>] ? common_interrupt+0x30/0x38
: [<c04600d8>] ? ktime_divns+0xb8/0xc0
: [<c06e6828>] ? arch_local_irq_enable+0x7/0xb
: [<c06e7060>] ? acpi_idle_enter_simple+0xed/0x11e
: [<c06e73c7>] ? acpi_idle_enter_bm+0xd6/0x272
: [<c0443998>] ? ns_to_timespec+0x28/0x40
: [<c08281f5>] ? cpuidle_enter+0x15/0x20
: [<c0828701>] ? cpuidle_enter_state+0x11/0x50
: [<c08287d2>] ? cpuidle_idle_call+0x92/0x1e0
: [<c040acea>] ? cpu_idle+0xaa/0xe0
: [<c09354f5>] ? rest_init+0x5d/0x68
: [<c0bfe9cc>] ? start_kernel+0x36d/0x373
: [<c0bfe494>] ? repair_env_string+0x51/0x51
: [<c0bfe2c2>] ? i386_start_kernel+0x78/0x7d

Comment 1 Stanislaw Gruszka 2012-12-15 16:06:06 UTC
I would like to see what happen before this warning. Please attach full dmesg (which include this warning). You can find it in .cache/abrt/spool/oops-{DATE}/ or in /var/spool/abrt/oops-{DATE}/ .

Is this problem reproducible for you or happened at random ?

Comment 2 Karolina 2012-12-15 17:49:54 UTC
Created attachment 664086 [details]
dmesg file

Comment 3 Stanislaw Gruszka 2012-12-17 11:51:11 UTC
There are several 4965 firmware hangs (real problem here) before the warning, what manifest in dmesg by messages like:

[ 1412.824032] iwl4965 0000:06:00.0: Queue 2 stuck for 2004 ms.
[ 1412.824044] iwl4965 0000:06:00.0: On demand firmware reload
[ 1412.825010] iwl4965 0000:06:00.0: Timeout stopping DMA channel 1 [0x07fd0003]

First firmware hang happen after about 20 minutes of usage. Does this happen on every system boot, i.e. if you look to dmesg do you see those "Queue X stuck" messages? If so, I'll ask you to provide logs with verbose debug messages (instructions letter). If not, I do not really see possibility to fix this, but perhaps there is workaround - use some of iwl4965 module options: fw_restart, 11n_disable, swcrypto; or kernel option: nohz=off.

Comment 4 Stanislaw Gruszka 2013-01-24 13:17:23 UTC
*** Bug 902634 has been marked as a duplicate of this bug. ***

Comment 5 Josh Boyer 2013-03-28 17:12:48 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.